HtmlPanelBarItem (RichFaces JSF components library 3.2.0.CR3 API)
Keywords: org.richfaces.component.html.HtmlPanelBarItem class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component.html
Class HtmlPanelBarItem

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              org.richfaces.component.UIPanelBarItem
                  org.richfaces.component.html.HtmlPanelBarItem

All Implemented Interfaces:
  javax.faces.component.StateHolder

    public class HtmlPanelBarItem

extends UIPanelBarItem

Field Summary
`static java.lang.String` | `COMPONENT_FAMILY`
`static java.lang.String` | `COMPONENT_TYPE`

Fields inherited from class javax.faces.component.UIComponent
`bindings`

Constructor Summary
`HtmlPanelBarItem()`

Method Summary
`java.lang.String` | `getContentClass()`
`java.lang.String` | `getContentStyle()`
`java.lang.String` | `getExpanded()`
`java.lang.String` | `getFamily()`
`java.lang.String` | `getHeaderClass()`
`java.lang.String` | `getHeaderClassActive()`
`java.lang.String` | `getHeaderStyle()`
`java.lang.String` | `getHeaderStyleActive()`
`java.lang.String` | `getLabel()`
`java.lang.Object` | `getName()`
`java.lang.String` | `getOnenter()`
`java.lang.String` | `getOnleave()`
`void` | `restoreState(javax.faces.context.FacesContext context, java.lang.Object state)`
`java.lang.Object` | `saveState(javax.faces.context.FacesContext context)`
`void` | `setContentClass(java.lang.String _contentClass)`
`void` | `setContentStyle(java.lang.String _contentStyle)`
`void` | `setExpanded(java.lang.String _expanded)`
`void` | `setHeaderClass(java.lang.String _headerClass)`
`void` | `setHeaderClassActive(java.lang.String _headerClassActive)`
`void` | `setHeaderStyle(java.lang.String _headerStyle)`
`void` | `setHeaderStyleActive(java.lang.String _headerStyleActive)`
`void` | `setLabel(java.lang.String _label)`
`void` | `setName(java.lang.Object _name)`
`void` | `setOnenter(java.lang.String _onenter)`
`void` | `setOnleave(java.lang.String _onleave)`

Methods inherited from class org.richfaces.component.UIPanelBarItem
`getPanel, getRendersChildren`

Methods inherited from class javax.faces.component.UIComponentBase
`addFacesListener, broadcast, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientId, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getValueBinding, invokeOnComponent, isRendered, isTransient, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding`

Methods inherited from class javax.faces.component.UIComponent
`encodeAll, getContainerClientId, getValueExpression, setValueExpression`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COMPONENT_FAMILY

    public static final java.lang.String COMPONENT_FAMILY

See Also:
  Constant Field Values

### COMPONENT_TYPE

    public static final java.lang.String COMPONENT_TYPE

See Also:
  Constant Field Values

Constructor Detail

### HtmlPanelBarItem

    public HtmlPanelBarItem()

Method Detail

### getContentClass

    public java.lang.String getContentClass()

### setContentClass

    public void setContentClass(java.lang.String _contentClass)

### getContentStyle

    public java.lang.String getContentStyle()

### setContentStyle

    public void setContentStyle(java.lang.String _contentStyle)

### getExpanded

    public java.lang.String getExpanded()

### setExpanded

    public void setExpanded(java.lang.String _expanded)

### getHeaderClass

    public java.lang.String getHeaderClass()

### setHeaderClass

    public void setHeaderClass(java.lang.String _headerClass)

### getHeaderClassActive

    public java.lang.String getHeaderClassActive()

### setHeaderClassActive

    public void setHeaderClassActive(java.lang.String _headerClassActive)

### getHeaderStyle

    public java.lang.String getHeaderStyle()

### setHeaderStyle

    public void setHeaderStyle(java.lang.String _headerStyle)

### getHeaderStyleActive

    public java.lang.String getHeaderStyleActive()

### setHeaderStyleActive

    public void setHeaderStyleActive(java.lang.String _headerStyleActive)

### getLabel

    public java.lang.String getLabel()

  Specified by:
    `getLabel` in class `UIPanelBarItem`

### setLabel

    public void setLabel(java.lang.String _label)

  Specified by:
    `setLabel` in class `UIPanelBarItem`

### getName

    public java.lang.Object getName()

  Specified by:
    `getName` in class `UIPanelBarItem`

### setName

    public void setName(java.lang.Object _name)

  Specified by:
    `setName` in class `UIPanelBarItem`

### getOnenter

    public java.lang.String getOnenter()

### setOnenter

    public void setOnenter(java.lang.String _onenter)

### getOnleave

    public java.lang.String getOnleave()

### setOnleave

    public void setOnleave(java.lang.String _onleave)

### getFamily

    public java.lang.String getFamily()

  Specified by:
    `getFamily` in class `javax.faces.component.UIComponent`

### saveState

    public java.lang.Object saveState(javax.faces.context.FacesContext context)

  Specified by:
    `saveState` in interface `javax.faces.component.StateHolder`
  Overrides:
    `saveState` in class `javax.faces.component.UIComponentBase`

### restoreState

    public void restoreState(javax.faces.context.FacesContext context,
                             java.lang.Object state)

  Specified by:
    `restoreState` in interface `javax.faces.component.StateHolder`
  Overrides:
    `restoreState` in class `javax.faces.component.UIComponentBase`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.